play.deps

## Class YamlParser

- java.lang.Object
- - org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser
  - - play.deps.YamlParser

All Implemented Interfaces:
  org.apache.ivy.plugins.parser.ModuleDescriptorParser

    public class YamlParser
    extends org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser

`org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser.AbstractParser`

### Constructor Summary

Constructors
Constructor and Description
`YamlParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `accept(org.apache.ivy.plugins.repository.Resource rsrc)`
`static java.util.Set<java.lang.String>` `getOrderedModuleList(java.io.File file)`
`org.apache.ivy.core.module.descriptor.ModuleDescriptor` `parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ps, java.net.URL url, org.apache.ivy.plugins.repository.Resource rsrc, boolean bln)`
`void` `toIvyFile(java.io.InputStream in, org.apache.ivy.plugins.repository.Resource rsrc, java.io.File file, org.apache.ivy.core.module.descriptor.ModuleDescriptor md)`

### Methods inherited from class org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser

`getMetadataArtifact, getType, parseDescriptor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YamlParser

    public YamlParser()

### Method Detail

#### accept

    public boolean accept(org.apache.ivy.plugins.repository.Resource rsrc)

#### parseDescriptor

    public org.apache.ivy.core.module.descriptor.ModuleDescriptor parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ps,
                                                                                  java.net.URL url,
                                                                                  org.apache.ivy.plugins.repository.Resource rsrc,
                                                                                  boolean bln)
                                                                           throws java.text.ParseException,
                                                                                  java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### toIvyFile

    public void toIvyFile(java.io.InputStream in,
                          org.apache.ivy.plugins.repository.Resource rsrc,
                          java.io.File file,
                          org.apache.ivy.core.module.descriptor.ModuleDescriptor md)
                   throws java.text.ParseException,
                          java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

#### getOrderedModuleList

    public static java.util.Set<java.lang.String> getOrderedModuleList(java.io.File file)
                                                                throws java.text.ParseException,
                                                                       java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`